Bug 1322544 - Segmentation violation can occur within glibc if fork() is used in a multi-threaded application
Summary: Segmentation violation can occur within glibc if fork() is used in a multi-th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Martin Sebor
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On: 1275384
Blocks: 1413146
TreeView+ depends on / blocked
 
Reported: 2016-03-30 17:14 UTC by Carlos O'Donell
Modified: 2017-08-01 18:06 UTC (History)
10 users (show)

Fixed In Version: glibc-2.17-175.el7
Doc Type: Bug Fix
Doc Text:
Multithreaded applications no longer crash when calling dprintf() and fork() concurrently Multithreaded applications that use the dprintf() and fork() *glibc* functions concurrently could previously terminate unexpectedly with a segmentation fault. With this update, the fork() implementation has been fixed to ignore temporary streams created by dprintf(), and the described problem no longer occurs.
Clone Of: 1275384
Environment:
Last Closed: 2017-08-01 18:06:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1323134 0 low CLOSED glibc: stdio race condition causes crash during process shutdown 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:1916 0 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Sourceware 12847 0 None None None 2019-04-09 13:00:16 UTC

Internal Links: 1323134

Comment 2 Florian Weimer 2016-10-11 20:05:48 UTC
A fix for this issue should also pick up the fix for bug 1323134.

Comment 9 errata-xmlrpc 2017-08-01 18:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.